import Cookies from "js-cookie";

const useAppStore = defineStore("app", {
  state: () => ({
    sidebar: {
      opened: Cookies.get("sidebarStatus") ? Boolean(Cookies.get("sidebarStatus")) : true,
      withoutAnimation: false,
      hide: false,
    },
    device: "desktop",
    size: Cookies.get("size") || "default",
  }),
  actions: {
    toggleSideBar(withoutAnimation: any) {
      if (this.sidebar.hide) {
        return false;
      }
      this.sidebar.opened = !this.sidebar.opened;
      this.sidebar.withoutAnimation = withoutAnimation;
      if (this.sidebar.opened) {
        Cookies.set("sidebarStatus", "true");
      } else {
        Cookies.set("sidebarStatus", "false");
      }
    },
    closeSideBar(withoutAnimation: any) {
      Cookies.set("sidebarStatus", "false");
      this.sidebar.opened = false;
      this.sidebar.withoutAnimation = withoutAnimation;
    },
    toggleDevice(device: any) {
      this.device = device;
    },
    setSize(size: any) {
      this.size = size;
      Cookies.set("size", size);
    },
    toggleSideBarHide(status: any) {
      this.sidebar.hide = status;
    },
  },
});

export default useAppStore;
